{{ define "content" }}
<h2>Parkeerrechten ophalen</h2>

<p>
    Om data op te halen bij de API moet je een referentie meegeven aan het request. Die referentie verwijst naar
    de specifieke connectie op basis waarvan je het request wilt doen. Die toegang staat in een contract met mogelijkerwijs
    meerdere connecties. Je geeft deze referentie mee in het request naar de Outway in de header: Fsc-Grant-Hash.
</p>

<p>
    De parkeerrechten staan bij de gemeente en zijn op te halen met één request aan de API van die gemeente.
</p>
<p>
    Vul hieronder de referentie van de connectie in die je wil gebruiken om te communiceren met de API.
    <a
        href=""
        target="_blank"
        rel="nofollow noreferrer"
    >
        Controller om de contracten in te zien.
    </a>
</p>

<form action="/ophalen" method="get" hx-get="/ophalen" hx-select="#parkeerrechten" hx-target="#parkeerrechten" hx-push-url="true">
    {{ range $i, $municipality := .Municipalities }}
    <label for="municipality.{{ $i }}">Gemeente {{ $municipality }}</label>
    <input type="text" id="municipality.{{ $i }}" name="{{ $municipality }}" placeholder="Referentie" value="{{ index $.Form.Hashes $municipality }}" required />
    <br>
    {{ end }}

    <button type="submit">Ophalen</button>
</form>

<h2>Parkeerrechten</h2>

<div class="alert alert--error hidden" id="error-message">
    <p class="alert__title">Oeps, er ging iets fout!</p>
    <p class="alert__content"></p>
</div>

<table id="parkeerrechten">
    <thead>
    <tr>
        <th>#</th>
        <th>Kenteken</th>
        <th>Geldig in</th>
        <th>Gemeente</th>
    </tr>
    </thead>

    <tbody>
    {{ if eq (len .Parkeerrechten) 0 }}
    <tr>
        <td colSpan="4">Geen parkeerrechten gevonden</td>
    </tr>
    {{ else }}
    {{ range $i, $parkeerrecht := .Parkeerrechten }}
    <tr>
        <td>{{ $i }}</td>
        <td>{{ .Kenteken }}</td>
        <td>{{ .JaartalGeldigheidrecht }}</td>
        <td>{{ .GemeenteGeldigheidrecht }}</td>
    </tr>
    {{ end }}
    {{ end }}
    </tbody>
</table>

<script>
    htmx.on("htmx:beforeRequest", function () {
        hideAlerts()
    })

    htmx.on("htmx:responseError", function (error) {
        const alertEl = document.getElementById('error-message')
        const alertContentEl = alertEl.querySelector('.alert__content')

        alertEl.classList.remove('hidden')
        alertContentEl.textContent = `${error.detail.xhr.status} -  ${error.detail.xhr.responseText}`
    })

    function hideAlerts() {
        const alerts = document.querySelectorAll('.alert')
        alerts.forEach(alertEl => {
            alertEl.classList.add('hidden')
        })
    }
</script>
{{ end }}
